Skylib module containing functions for checking Bazel versions.

## versions.check

load("@bazel_skylib//lib:versions.bzl", "versions")

versions.check(minimum_bazel_version, maximum_bazel_version, bazel_version)

Check that the version of Bazel is valid within the specified range.

**PARAMETERS**

| Name  | Description | Default Value |
| :------------- | :------------- | :------------- |
| minimum_bazel_version |  minimum version of Bazel expected   |  none |
| maximum_bazel_version |  maximum version of Bazel expected   |  `None` |
| bazel_version |  the version of Bazel to check. Used for testing, defaults to native.bazel_version   |  `None` |

## versions.get

load("@bazel_skylib//lib:versions.bzl", "versions")

versions.get()

Returns the current Bazel version

## versions.is_at_least

load("@bazel_skylib//lib:versions.bzl", "versions")

versions.is_at_least(threshold, version)

Check that a version is higher or equals to a threshold.

**PARAMETERS**

| Name  | Description | Default Value |
| :------------- | :------------- | :------------- |
| threshold |  the minimum version string   |  none |
| version |  the version string to be compared to the threshold   |  none |

**RETURNS**

True if version >= threshold.

## versions.is_at_most

load("@bazel_skylib//lib:versions.bzl", "versions")

versions.is_at_most(threshold, version)

Check that a version is lower or equals to a threshold.

**PARAMETERS**

| Name  | Description | Default Value |
| :------------- | :------------- | :------------- |
| threshold |  the maximum version string   |  none |
| version |  the version string to be compared to the threshold   |  none |

**RETURNS**

True if version <= threshold.

## versions.parse

load("@bazel_skylib//lib:versions.bzl", "versions")

versions.parse(bazel_version)

Parses a version string into a 3-tuple of ints

int tuples can be compared directly using binary operators (<, >).

For a development build of Bazel, this returns an unspecified version tuple
that compares higher than any released version.

**PARAMETERS**

| Name  | Description | Default Value |
| :------------- | :------------- | :------------- |
| bazel_version |  the Bazel version string   |  none |

**RETURNS**

An int 3-tuple of a (major, minor, patch) version.

